members.dev
Benefits

Archive Benefit

Archives a Benefit

POST
/v1/benefits/{benefit_id}/archive

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

benefit_id*string

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Response Body

application/json

application/json

curl -X POST "https://api.members.dev/v1/benefits/string/archive"
{
  "id": "ben_01KKSMB47VYGW97GFE67VGDK7M",
  "short_id": "string",
  "benefit_type": "custom",
  "name": "Premium Support",
  "description": "24/7 priority support access",
  "status": "Active",
  "portal": {
    "is_member_visible": true
  },
  "default_value": "default",
  "state_transitions": {
    "archived_at": {}
  },
  "created_at": null,
  "updated_at": null
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}